go-ring API Reference
OpenapiSessions

Register a client session

Registers a client session that can be used for device inventory and signaling requests.

POST
/clients_api/session

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/clients_api/session" \  -H "Content-Type: application/json" \  -d '{    "device": {      "hardware_id": "synthetic-hardware-id",      "metadata": {        "api_version": 11,        "device_model": "go-ring"      },      "os": "android"    }  }'
{}